Listar apps
curl --request GET \
--url https://api.upag.io/v1/apps \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/apps';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Apps
Listar apps
Lista os apps da conta, do mais novo para o mais antigo
GET
https://api.upag.io
/
v1
/
apps
Listar apps
curl --request GET \
--url https://api.upag.io/v1/apps \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/apps';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Permissão:
app.read (chave secreta).
Endpoint
curl -G https://api.upag.dev/v1/apps \
-H "Authorization: Bearer sk_test_your_api_key" \
-d "page=1" \
-d "limit=15"
import { Upag } from 'upag';
const upag = new Upag('sk_test_your_api_key');
const { data, count } = await upag.apps.list({ page: 1, limit: 15 });
Em produção use
https://api.upag.io/v1 com sk_live_....Parâmetros
integer
default:"1"
Página (mínimo 1).
integer
default:"15"
Itens por página (mínimo 1).
Resposta
200 OK
Response
{
"data": [
{
"id": "b7c8d9e0-f1a2-4b3c-8d4e-5f6a7b8c9d01",
"type": "integration",
"provider": "meta",
"scope": "public",
"name": "Meta Pixel",
"config": { "pixelId": "123456789", "accessToken": "********oken" },
"active": true,
"appliesTo": "all",
"appliesToProducts": null,
"createdAt": "2026-03-18T11:30:00.000Z",
"updatedAt": "2026-03-18T11:30:00.000Z"
}
],
"count": 1
}